//
//  HomeViewController.swift
//  Reader
//
//  Created by Shadowfacts on 11/25/21.
//

import UIKit

class HomeViewController: UIViewController {
    
    let fervorController: FervorController
    
    init(fervorController: FervorController) {
        self.fervorController = fervorController
        
        super.init(nibName: nil, bundle: nil)
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        view.backgroundColor = .systemBackground
        
        let label = UILabel()
        label.translatesAutoresizingMaskIntoConstraints = false
        label.text = "Logged in to \(fervorController.instanceURL.host!)"
        view.addSubview(label)
        NSLayoutConstraint.activate([
            label.centerXAnchor.constraint(equalTo: view.centerXAnchor),
            label.centerYAnchor.constraint(equalTo: view.centerYAnchor),
        ])
    }
    
}
